# Enum Class CrosscheckMetric.FingerprintResult

java.lang.Object
java.lang.Enum<CrosscheckMetric.FingerprintResult>
picard.fingerprint.CrosscheckMetric.FingerprintResult

All Implemented Interfaces:
  `Serializable, Comparable<CrosscheckMetric.FingerprintResult>, Constable`

Enclosing class:
  `CrosscheckMetric`

public static enum CrosscheckMetric.FingerprintResult extends Enum<CrosscheckMetric.FingerprintResult>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXPECTED_MATCH`
`EXPECTED_MISMATCH`
`INCONCLUSIVE`
`UNEXPECTED_MATCH`
`UNEXPECTED_MISMATCH`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isExpected()`
`Boolean`
`isMatch()`
`static CrosscheckMetric.FingerprintResult`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CrosscheckMetric.FingerprintResult[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXPECTED_MATCH

public static final CrosscheckMetric.FingerprintResult EXPECTED_MATCH

### EXPECTED_MISMATCH

public static final CrosscheckMetric.FingerprintResult EXPECTED_MISMATCH

### UNEXPECTED_MATCH

public static final CrosscheckMetric.FingerprintResult UNEXPECTED_MATCH

### UNEXPECTED_MISMATCH

public static final CrosscheckMetric.FingerprintResult UNEXPECTED_MISMATCH

### INCONCLUSIVE

public static final CrosscheckMetric.FingerprintResult INCONCLUSIVE

## Method Details

### values

public static CrosscheckMetric.FingerprintResult[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CrosscheckMetric.FingerprintResult valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isExpected

public Boolean isExpected()

### isMatch

public Boolean isMatch()